=== debian/changelog ===
qt4-x11 (4:4.8.7+dfsg-7ubuntu1) yakkety; urgency=medium

  * Merge with Debian since qtchooser has versioned Breaks. (LP: #1584654)

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 May 2016 15:02:32 +0000

qt4-x11 (4:4.8.7+dfsg-7) unstable; urgency=medium

  [ Dmitry Shachnev ]
  * Move qtchooser configuration files (except the qt-default one) from
    libqtcore4 to qtchooser itself.
  * Bump all dependencies on qtchooser to 55-gc9562a1-1.

  [ Pino Toscano ]
  * Drop menu files, since we ship already .desktop file for assistant,
    designer, linguist, and qtconfig.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Apply Fedora's qt-everywhere-opensource-src-4.8.7-gcc6.patch to solve two
    issues while building with GCC6.
  * Apply Better-handling-of-invalid-font-tables.patch, which is a backport
    from Qt 5 meant to improve the handling of invalid font tables.
  * Set std=gnu++98 to workaround class std::auto_ptr deprecation in GCC6, also
    hinted by Fedora's packaging.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 22 May 2016 11:19:24 -0300

qt4-x11 (4:4.8.7+dfsg-6) unstable; urgency=medium

  * Add Eduard Sanou's backport patch from qttools5 to make qch files
    reproducible by replacing the current time by a fixed date
    (Closes: #814280). Thanks Eduard!
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Wed, 10 Feb 2016 11:05:32 -0300

qt4-x11 (4:4.8.7+dfsg-5ubuntu5) yakkety; urgency=medium

  [ Timo Jyrinki ]
  * Merge changes from Debian to fix qtchooser breakage. (LP: #1584654)

  [ Dmitry Shachnev ]
  * Move qtchooser configuration files (except the qt-default one) from
    libqtcore4 to qtchooser itself.
  * Bump all dependencies on qtchooser to 55-gc9562a1-1.

 -- Timo Jyrinki <timo-jyrinki@ubuntu.com>  Mon, 23 May 2016 08:55:36 +0000

qt4-x11 (4:4.8.7+dfsg-5ubuntu4) yakkety; urgency=medium

  * Add one more macro to qt4-x11 moc to fix failing to parse BOOST_JOIN.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Apr 2016 14:42:07 +0100

qt4-x11 (4:4.8.7+dfsg-5ubuntu3) yakkety; urgency=medium

  * No-change rebuild for libpng soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 23 Apr 2016 00:20:20 +0000

qt4-x11 (4:4.8.7+dfsg-5ubuntu2) xenial; urgency=medium

  * Rebuild against libmysqlclient20.

 -- Robie Basak <robie.basak@ubuntu.com>  Tue, 05 Apr 2016 12:55:42 +0000

qt4-x11 (4:4.8.7+dfsg-5ubuntu1) xenial; urgency=medium

  * Merge with Debian; remaining changes:
    - Pass list-missing to dh_install instead of fail-missing, since we don't
      install the QtWebkit headers
    - Make sure libqt4-opengl-dev depends on gles libs for armel and armhf
    - Do not package ibase/firebird and sqlite2 package
      + remove from debian/control
      + libqt4-sql doesn't recommend libqt4-sql-ibase and libqt4-sql-sqlite2
    - Also exclude webkit examples from dh_shlibdeps
    - Do not build libqt4-phonon, disable in debian/control
    - Add debian/Trolltech.conf and install it in libqtcore4.install
    - Build with -no-neon on armel and armhf
    - Build with -no-javascript-jit on arm64
    - Add patches:
      + kubuntu_10_ibus_input_method.diff
      + kubuntu_12_fix_stack_protector.diff
      + kubuntu_28_xi2.1.patch
      + kubuntu_30_translucent_drag_pixmap.diff
      + kubuntu_37_cups_settings.diff
      + kubuntu_39_fix_medium_font.diff
      + kubuntu_40_disable_neon.patch
      + kubuntu_43_no_meego_helper.patch
      + kubuntu_93_disable_overlay_scrollbars.diff
      + kubuntu_94_xinput_valuators_fix.diff
      + kubuntu_95_qt_disable_bounce.diff
      + kubuntu_97_a11y_qt_and_qml_backport.diff
      + kubuntu_98_a11y_fix_crash.diff
      + kubuntu_glib-honor-ExcludeSocketNotifiers-flag.diff
      + kubuntu_qclipboard_delay.diff
      + kubuntu_qclipboard_fix_recursive.diff
    - Drop powerpc_designer_gstabs.diff, it breaks powerpc
  * Update symbols files.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 07 Jan 2016 12:00:09 +0100

qt4-x11 (4:4.8.7+dfsg-5) unstable; urgency=medium

  * Add no-ssl3.patch to avoid calling SSLv3 functions as they have been removed
    from Debian's packaging (Closes: #806505).
  * Update symbols files with buildds' logs.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 30 Nov 2015 16:13:32 -0300

qt4-x11 (4:4.8.7+dfsg-4) unstable; urgency=medium

  [ Rico Tzschichholz ]
  * Change the libicu52 suggestion in libqtcore4 to libicu55.

  [ Dmitry Shachnev ]
  * Update symbols files with buildds' logs.
  * Remove sparc references from symbols files.
    Sparc is dead and we no longer have build logs for it.
  * Use canonical Vcs-Browser link.
  * Update git clone address in README.source.
  * Do not recommend libqtwebkit-dev, we want to remove this package.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Move qt4-default to section libs, it's definitely not part of libdevel
    as it controls run time preferences.
  * Add qt-at-spi as a libqtgui4 recommendation as discussed in pkg-kde-talk.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 17 Nov 2015 12:50:47 -0300

qt4-x11 (4:4.8.7+dfsg-3) unstable; urgency=medium

  * Update symbols files with buildds' logs.
  * Upload to unstable (Closes: #794517).

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 04 Aug 2015 18:13:53 -0300

qt4-x11 (4:4.8.7+dfsg-2) experimental; urgency=medium

  * Add Daniel Schepler's QtScript_x32_config.diff and x32.diff to let Qt4
    compile on x32 (Closes: #699862).
  * Fix menu entries's paths for Qt4 apps (Closes: #793956).
  * Add plugin_system_for_systemtray.patch to allow Qt4 apps to use sni-qt.
    The patch is unnoficial, but an upstream developer blessed it, so in this
    specific case we are keeping the delta.
  * Update symbols files with current build log using gcc5.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sun, 02 Aug 2015 17:01:14 -0300


